Bug 193919 - Inconsistent OpenPegasus trace file handling when package is removed
Inconsistent OpenPegasus trace file handling when package is removed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 18:20 EDT by Denise Eckstein
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-05 15:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denise Eckstein 2006-06-02 18:20:14 EDT
Description of problem:
When the OpenPegasus package is removed, rpm -e, the cimserver.trc file is 
deleted but the Out-Of-Process Process generated trace files are not.

Version-Release number of selected component (if applicable):
tog-pegasus-2.5.1-1.EL4

How reproducible:


Steps to Reproduce:
1. # cimconfig -s forceProviderProcesses=true -p
2. # service tog-pegasus restart
3. # cimconfig -s traceLevel=4
4. # cimconfig -s traceComponents=ALL
5. # osinfo
6. # ls /var/lib/Pegasus/cache/trace
cimserver.trc  cimserver.trc.OperatingSystemModule.root
7. # rpm -el tog-pegasus-2.5.1-1.EL4
8. # ls /var/lib/Pegasus/cache/trace
cimserver.trc.OperatingSystemModule.root
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-06-05 15:55:38 EDT
Well, we cannot predict the name of every possible trace file that may be created
under /var/lib/Pegasus/cache/trace, as we cannot know which providers may be
installed or which users may run them. And users may want to keep their trace
logs; a file created by explicit user actions should not be removed by rpm -e .
Hence, this is 'NOTABUG'.
 
Comment 2 Denise Eckstein 2006-06-05 17:15:53 EDT
The trace files created by OOP processes are really just extensions of the 
cimserver.trc file.  All trace files are controlled by the same cimconfig 
options. To be consistent, if we are keeping the OOP process trace files, we 
should consider keeping the cimserver.trc file.

Note You need to log in before you can comment on or make changes to this bug.